# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices.html#use-parameters-for-application-configuration
parameters:
    email_from: order@tshirt.se
    email_mandrill_key: md-U8_RHJOtNJOaTsivU3_U8w
    garp_ftp_host: 195.67.131.74
    garp_ftp_username: garpout
    garp_ftp_password: fe2348943DJ#%
    garp_ftp_local_csv_path: public/uploads/garp_csv
    order_status_complete_id: 22
    order_status_web_id: 60
    tax_default: 0.25
    default_customer_nr_for_guest_order: 99

    svea_merchant_id: '%env(SVEA_MERCHANT_ID)%'
    svea_merchant_secret: '%env(SVEA_MERCHANT_SECRET)%'

    production_type_id_24: 24 #screen
    production_type_id_25: 25 #dtg
    production_type_id_26: 26 #transfer
    production_type_id_203: 203 #special
    production_type_id_24_name: Screen #screen
    production_type_id_25_name: Dtg #dtg
    production_type_id_26_name: Transfer #transfer
    production_type_id_203_name: Special #special

    swish_dir: '%kernel.project_dir%/swish/live'
    swish_payee_phone: '1231265727'

    # Test
    #postnord_api_key: 902f17b46e6d48d721c4f34b4d09402f
    #postnord_api_url: https://atapi2.postnord.com/rest/shipment/v3/edi?apikey=
    #postnord_api_pdf_url: https://atapi2.postnord.com/rest/shipment/v3/labels/ids/pdf?apikey=
    # Live
    postnord_api_key: 06620f1d820345352948184a1a5eb088
    postnord_api_url: https://api2.postnord.com/rest/shipment/v3/edi?apikey=
    postnord_api_pdf_url: https://api2.postnord.com/rest/shipment/v3/labels/ids/pdf?apikey=
    postnord_consignor_party_id: 5200196003

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones

    Symfony\Component\DependencyInjection\ContainerInterface: '@service_container'

    app.channel.service:
        class: 'App\Service\ChannelService'
        public: true

    app.customer.service:
        class: 'App\Service\CustomerService'
        public: true

    app.product.service:
        class: 'App\Service\ProductService'
        public: true

    app.order.service:
        class: 'App\Service\OrderService'
        public: true

    app.status_list.service:
        class: 'App\Service\StatusListService'
        public: true

    app.mail.service:
        class: 'App\Service\MailService'
        public: true
